import { FC, ReactNode, HTMLAttributes } from 'react';
export interface ReactiveNavProps extends HTMLAttributes<HTMLDivElement> {
    children?: ReactNode;
    /**
     * Height of the navbar.
     */
    height: number;
    /**
     * Snap to the closest state of the navbar based on the scroll amount.
     */
    snap?: boolean;
    /**
     * Set the delay of snap checking after scrolling (in ms).
     * Only applies if `snap` is set to `true`.
     */
    snapDelay?: number;
    /**
     * Specify how long the snap animation should run (in ms).
     * Only applies if `snap` is set to `true`.
     */
    snapDuration?: number;
    /**
     * Props passed to the padding element (blank div with a set height).
     */
    paddingElementProps?: HTMLAttributes<HTMLDivElement>;
}
export declare const ReactiveNav: FC<ReactiveNavProps>;
